package com.rgt.superr.ui.set

import androidx.core.graphics.Insets
import androidx.core.view.ViewCompat
import androidx.core.view.WindowInsetsCompat
import com.rgt.superr.base.BaseActivity
import com.rgt.superr.databinding.ActivitySettingBinding

class SettingActivity : BaseActivity<ActivitySettingBinding>(ActivitySettingBinding::inflate) {


    override fun useDefaultImmersive() {
        ViewCompat.setOnApplyWindowInsetsListener(binding.root) { v, insets ->
            val systemBars: Insets = insets.getInsets(WindowInsetsCompat.Type.systemBars())
            v.setPadding(systemBars.left, 0, systemBars.right, systemBars.bottom)
            insets
        }
    }

    override fun initView() {
        super.initView()
    }

    override fun initListener() {
        super.initListener()
    }

    override fun handleBackCallBack() {
//        super.handleBackCallBack()
        finish()
    }
}